Issue 73830 - VBA "LIKE" implementation
Summary: VBA "LIKE" implementation
Alias: None
Product: App Dev
Classification: Unclassified
Component: scripting (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All Linux, all
: P3 Trivial
Target Milestone: ---
Assignee: sled10guy
QA Contact: Unknown
Depends on:
Reported: 2007-01-24 16:49 UTC by caolanm
Modified: 2013-02-24 21:01 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---

implementation of LIKE (3.89 KB, patch)
2007-01-24 16:50 UTC, caolanm
no flags Details | Diff
how about this instead, don't try and constant fold the LIKE (4.70 KB, patch)
2007-01-31 12:48 UTC, caolanm
no flags Details | Diff
test document (10.03 KB, application/vnd.sun.xml.calc)
2007-03-01 23:03 UTC, noel.power
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2007-01-24 16:49:33 UTC
attached is an implementation of "LIKE" which seems sufficient to emulate the MS
Comment 1 caolanm 2007-01-24 16:50:13 UTC
Created attachment 42427 [details]
implementation of LIKE
Comment 2 noel.power 2007-01-26 12:13:23 UTC
one thing I noticed on running it is that is doesn't deal with string literals

e.g. if "somethingelse" like "something*" then msgbox "hurray"

yields compile error "inadmissable data or value type...." 

I think this is to do with that folding method I mentioned previously, but
really I'm not sure :-( 
( I'll try dig more later ) 
Comment 3 caolanm 2007-01-31 12:48:07 UTC
Created attachment 42604 [details]
how about this instead, don't try and constant fold the LIKE
Comment 4 noel.power 2007-02-01 09:23:23 UTC
looks good I'll add it to ooo-build & cws npower7 (about to be created)
Comment 5 noel.power 2007-03-01 23:03:44 UTC
Created attachment 43475 [details]
test document
Comment 6 noel.power 2007-05-05 13:14:19 UTC
Comment 7 noel.power 2007-05-17 17:39:37 UTC
Note to tester, 

please use the test document (LikeTest.ods ) tests are based of examples from msdn
Comment 8 utomo99 2007-07-04 05:58:24 UTC
i believed the issue is for 2.3 as it is already fixed. 

Comment 9 noel.power 2007-07-04 12:37:21 UTC
Comment 10 noel.power 2007-07-11 12:48:40 UTC
for qa
Comment 11 noel.power 2007-08-07 10:15:47 UTC
changed target
Comment 12 sled10guy 2007-08-28 16:20:15 UTC
Ran test document (LikeTest.ods) on released SLED10 SP1 OOo 2.1.14, Windows OOo
2.1 (Build 2007-06-04). Below are the results returned in the msgbox after
pressing the CommandButton1
• Test Results
• =============
• test 6 failed got True expected False
• test 8 failed got False expected True
• Tests passed: 8
• Tests failed: 2
‣ Ran test document (LikeTest.ods) on cws-npower7-m217. Below are the results
returned in the msgbox after pressing the CommandButton1
• Test Results
• =============
• Tests passed: 10
• Tests failed: 0
‣ RESULT: Test Passed
Comment 13 thorsten.ziehm 2009-07-20 14:55:25 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
If you want to know more about the handling of fixed/verified issues =>